﻿using Syncfusion.Windows.Forms.Tools;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace NavigationDrawer_Example
{
    public class DrawerMenuItemExt : DrawerMenuItem
    {
        public DrawerMenuItemExt()
        {
            this.ForeColor = Color.Black;
            SetStyle(ControlStyles.AllPaintingInWmPaint | ControlStyles.OptimizedDoubleBuffer | ControlStyles.UserPaint, true);
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            e.Graphics.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.AntiAlias;
            TextRenderer.DrawText(e.Graphics, this.Text, this.Font, this.ClientRectangle, this.ForeColor, TextFormatFlags.Left | TextFormatFlags.VerticalCenter);
            e.Graphics.DrawLine(new Pen(new SolidBrush(System.Drawing.Color.FromArgb(((int)(((byte)(28)))), ((int)(((byte)(165)))), ((int)(((byte)(215)))))), 1), new Point(this.DisplayRectangle.X, this.DisplayRectangle.Height - 1), new Point((this.DisplayRectangle.Left + this.DisplayRectangle.Width - 5), this.DisplayRectangle.Height - 1));
        }
    }
}
